<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

defined('_JEXEC') or die;

JLoader::import('extly.extlyframework');

/**
 * AutotweetLogger
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetLogger
{
	private static $instance = null;

	/**
	 * getInstance
	 *
	 * @return	object
	 */
	public static function &getInstance()
	{
		if (!self::$instance)
		{
			$log_level = EParameter::getComponentParam(CAUTOTWEETNG, 'log_level', JLog::ERROR);
			$log_mode = EParameter::getComponentParam(CAUTOTWEETNG, 'log_mode', ELog::LOG_MODE_SCREEN);

			self::$instance = new ELog($log_level, $log_mode);
		}

		return self::$instance;
	}
}
