<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

defined('_JEXEC') or die;

/**
 * Should I show the Joomla! Update notification email activation message?
 *
 * @return	boolean
 */
function Com_AutoTweet_PostInstall_AutoJUpdate_condition()
{
	$db = JFactory::getDbo();

	$query = $db->getQuery(true)
		->select($db->qn('enabled'))
		->from($db->qn('#__extensions'))
		->where($db->qn('element') . ' = ' . $db->q('autotweetjupdatecheck'))
		->where($db->qn('folder') . ' = ' . $db->q('system'));
	$db->setQuery($query);

	$enabledAutoJoomlaUpdateEmail = $db->loadResult();

	return !$enabledAutoJoomlaUpdateEmail;
}

/**
 * Activate the Joomla! Update notification email feature
 *
 * @return	void
 */
function Com_AutoTweet_PostInstall_AutoJUpdate_action()
{
	$db = JFactory::getDBO();

	$query = $db->getQuery(true)
		->update($db->qn('#__extensions'))
		->set($db->qn('enabled') . ' = ' . $db->q('1'))
		->where($db->qn('element') . ' = ' . $db->q('autotweetjupdatecheck'))
		->where($db->qn('folder') . ' = ' . $db->q('system'));
	$db->setQuery($query);
	$db->execute();
}
