<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

defined('_JEXEC') or die;

/**
 * AutotweetViewCpanels
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetViewCpanels extends AutotweetDefaultView
{
	/**
	 * onBrowse
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	bool
	 */
	protected function onBrowse($tpl = null)
	{
		Extly::loadAwesome();

		$data = new JRegistry;
		GridHelper::loadComponentInfo($data);
		GridHelper::loadStats($data);
		GridHelper::loadStatsTimeline($data);
		$this->assign('data', $data);

		$document = JFactory::getDocument();
		$document->addScript('//cdnjs.cloudflare.com/ajax/libs/d3/3.5.5/d3.min.js');
		$document->addScript('//cdnjs.cloudflare.com/ajax/libs/nvd3/1.7.0/nv.d3.min.js');
		$document->addStyleSheet('//cdnjs.cloudflare.com/ajax/libs/nvd3/1.7.0/nv.d3.min.css');

		// Get component parameter - Offline mode
		$version_check = EParameter::getComponentParam(CAUTOTWEETNG, 'version_check', 1);
		$this->assign('version_check', $version_check);

		$platform = F0FPlatform::getInstance();

		if ( ($version_check) && ($platform->isBackend()) )
		{
			$file = EHtml::getRelativeFile('js', 'com_autotweet/liveupdate.min.js');

			if ($file)
			{
				$dependencies = array();
				$dependencies['liveupdate'] = array('extlycore');

				// Extly::initApp(CAUTOTWEETNG_VERSION, $file, $dependencies);
				Extly::getSimpleScriptManager()->initApp(CAUTOTWEETNG_VERSION, $file, $dependencies);
			}
		}

		$dependencies = array();
		$fileStats = EHtml::getRelativeFile('js', 'com_autotweet/stats.min.js');
		Extly::getSimpleScriptManager()->initApp(CAUTOTWEETNG_VERSION, $fileStats, $dependencies);

		parent::onBrowse($tpl);
	}
}
