<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

defined('_JEXEC') or die;

F0FModel::getTmpInstance('Plugins', 'AutoTweetModel');

$result = array();

if ($count = count($this->items))
{
	if (AUTOTWEETNG_JOOCIAL)
	{
		$evergreens = AdvancedattrsHelper::getEvergreens($this->items);
		$immediates = AdvancedattrsHelper::getImmediates($this->items);
	}

	foreach ($this->items as $item)
	{
		$native_object = TextUtil::json_decode($item->native_object);
		$has_error = ((isset($native_object->error)) && ($native_object->error));
		$description = TextUtil::truncString($item->description, AutotweetDefaultView::MAX_CHARS_TITLE_SCREEN, true);

		$is_evergreen = false;
		$is_immediate = false;

		if (AUTOTWEETNG_JOOCIAL)
		{
			$item->xtform = EForm::paramsToRegistry($item);

			$is_evergreen = ( (array_key_exists($item->id, $evergreens))
					|| ($item->xtform->get('evergreen_generated') ) );
			$is_immediate = array_key_exists($item->id, $immediates);
		}

		$elem = array(
			'id' => $item->id,
			'title' => $description,
			'title_raw' => $item->description,
			'start' => JHtml::_('date', $item->publish_up, JText::_('COM_AUTOTWEET_DATE_FORMAT')),
			'className' => ($item->published ?
					($has_error ?  'req-error' : 'req-success') :
					($has_error ? 'req-warning' : 'req-info')),

			'checked_out' => ($item->checked_out != 0),
			'publish_up' => JHtml::_('date', $item->publish_up, JText::_('COM_AUTOTWEET_DATE_FORMAT')),
			'description' => $description,
			'plugin' => AutoTweetModelPlugins::getSimpleName($item->plugin),
			'is_evergreen' => $is_evergreen,
			'is_immediate' => $is_immediate,
			'published' => $item->published
		);

		if (!empty($item->url))
		{
			$elem['url'] = TextUtil::renderUrl($item->url);
		}

		if (!empty($item->image_url))
		{
			$elem['image_url'] = TextUtil::renderUrl($item->image_url);
		}

		$result[] = $elem;
	}
}

echo TextUtil::encodeJsonPackage($result);
