/*!
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

/* global jQuery, Request, Joomla, alert, Backbone, define, _ */

"use strict";

define('channel', ['extlycore'], function (Core) {

  /* BEGIN - variables to be inserted here */


  /* END - variables to be inserted here */

  var $adminForm = jQuery('#adminForm');

  (new ChannelView({
    el: $adminForm,
    collection: new Channels()
  })).onChangeChannelType();

  var twValidationView = new TwValidationView({
    el: $adminForm,
    collection: new TwValidations()
  });

  var liOAuth2ValidationView = new LiOAuth2ValidationView({
    el: $adminForm,
    collection: new LiOAuth2Validations()
  });

  var eventsDispatcher = _.clone(Backbone.Events);

  var fbValidationView = new FbValidationView({
    el: $adminForm,
    collection: new FbValidations(),
    attributes: { dispatcher: eventsDispatcher }
  });

  var fbChannelView = new FbChannelView({
    el: $adminForm,
    collection: new FbChannels(),
    attributes: {
      dispatcher: eventsDispatcher,
      messagesview: fbValidationView
    }
  });

  var fbAlbumView = new FbAlbumView({
    el: $adminForm,
    collection: new FbAlbums(),
    attributes: {
      fbChannelView: fbChannelView
    }
  });

  var fbChValidationView = new FbChValidationView({
    el: $adminForm,
    collection: new FbChValidations()
  });

  var fbExtendView = new FbExtendView({
    el: $adminForm,
    collection: new FbExtends(),
    attributes: { dispatcher: eventsDispatcher }
  });

  var gplusValidationView = new GplusValidationView({
    el: $adminForm,
    collection: new GplusValidations()
  });

  var liGroupView = new LiGroupView({
    el: $adminForm,
    collection: new LiGroups()
  });

  var liOAuth2CompanyView = new LiOAuth2CompanyView({
    el: $adminForm,
    collection: new LiOAuth2Companies()
  });

  var vkValidationView = new VkValidationView({
    el: $adminForm,
    collection: new VkValidations()
  });

  var vkGroupView = new VkGroupView({
    el: $adminForm,
    collection: new VkGroups()
  });

  var scoopitValidationView = new ScoopitValidationView({
    el: $adminForm,
    collection: new ScoopitValidations()
  });

  var scoopitTopicView = new ScoopitTopicView({
    el: $adminForm,
    collection: new ScoopitTopics()
  });

  var tumblrValidationView = new TumblrValidationView({
    el: $adminForm,
    collection: new TumblrValidations()
  });

  var bloggerValidationView = new BloggerValidationView({
    el: $adminForm,
    collection: new BloggerValidations()
  });

  var xingValidationView = new XingValidationView({
    el: $adminForm,
    collection: new XingValidations()
  });

  var telegramValidationView = new TelegramValidationView({
    el: $adminForm,
    collection: new TelegramValidations()
  });

  var mediumValidationView = new MediumValidationView({
    el: $adminForm,
    collection: new MediumValidations()
  });

  window.xtAppDispatcher = eventsDispatcher;

});
